Class | Fog::Compute::AWS::Addresses
In: | lib/fog/aws/models/compute/addresses.rb
Parent: | Fog::Collection

### Methods

all get new new

### Public Class methods

new(attributes)

     Used to create an IP address

     ==== Returns

>> AWS.addresses.create

      <Fog::AWS::Compute::Address
        public_ip="4.88.524.95",
        server_id=nil
      >

     The IP address can be retrieved by running AWS.addresses.get("test").  See get method below.

### Public Instance methods

all(filters = filters)

     AWS.addresses.all

     ==== Returns

     Returns an array of all IP addresses

>> AWS.addresses.all

      <Fog::AWS::Compute::Addresses
        filters={},
        server=nil
        [
          <Fog::AWS::Compute::Address
            public_ip="76.7.46.54",
            server_id=nil
          >,
          .......
          <Fog::AWS::Compute::Address
            public_ip="4.88.524.95",
            server_id=nil
          >
        ]
      >

>>

get(public_ip)

Used to retrieve an IP address

public_ip is required to get the associated IP information.

You can run the following command to get the details: AWS.addresses.get("76.7.46.54")

new(attributes = {})

[Validate]